Index: /trunk/source/Lib/TLibCommon/TComCodingStatistics.h
===================================================================
--- /trunk/source/Lib/TLibCommon/TComCodingStatistics.h	(revision 1412)
+++ /trunk/source/Lib/TLibCommon/TComCodingStatistics.h	(revision 1413)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2016, ITU/ISO/IEC
+ * Copyright (c) 2010-2017, ITU/ISO/IEC
  * All rights reserved.
  *
@@ -81,8 +81,6 @@
   STATS__CABAC_BITS__ESCAPE_BITS,
 
-#if NH_3D_DBBP
+#if NH_3D
   STATS__CABAC_BITS__DBBP_FLAG,
-#endif
-#if NH_3D_ARP
   STATS__CABAC_BITS__ARP_FLAG,
 #endif
@@ -99,18 +97,12 @@
   STATS__CABAC_BITS__ALIGNED_ESCAPE_BITS,
 
-#if NH_3D_IC
+#if NH_3D
   STATS__CABAC_BITS__3D_IC,
-#endif
-#if NH_3D_DMM || NH_3D_SDC_INTRA || NH_3D_SDC_INTER
   STATS__CABAC_BITS__DELTADC_SIGN_EP,
   STATS__CABAC_BITS__DELTADC_PREFIX,
   STATS__CABAC_BITS__DELTADC_SUFFIX_EP,
-#endif
-#if NH_3D_DMM
   STATS__CABAC_BITS__NOTDMM_FLAG,
   STATS__CABAC_BITS__DMMMODE,
   STATS__CABAC_BITS__DMM1_BITS_EP,
-#endif
-#if NH_3D_SDC_INTRA
   STATS__CABAC_BITS__SDC_INTRA_FLAG,
   STATS__CABAC_BITS__SDC_DELTADC_FLAG,
@@ -156,5 +148,5 @@
     "CABAC_BITS__SIGN_BIT",
     "CABAC_BITS__ESCAPE_BITS",
-#if NH_3D_DBBP
+#if NH_3D
     "CABAC_BITS__DBBP_FLAG",
 #endif
@@ -171,18 +163,12 @@
     "CABAC_BITS__ALIGNED_ESCAPE_BITS"
 
-#if NH_3D_IC
+#if NH_3D
     "CABAC_BITS__3D_IC"
-#endif
-#if NH_3D_DMM || NH_3D_SDC_INTRA || NH_3D_SDC_INTER
    ,"STATS__CABAC_BITS__DELTADC_SIGN_EP"
    ,"STATS__CABAC_BITS__DELTADC_PREFIX"
    ,"STATS__CABAC_BITS__DELTADC_SUFFIX_EP"
-#endif
-#if NH_3D_DMM
    ,"STATS__CABAC_BITS__NOTDMM_FLAG"
    ,"STATS__CABAC_BITS__DMMMODE"
    ,"STATS__CABAC_BITS__DMM1_BITS_EP"
-#endif
-#if NH_3D_SDC_INTRA
     ,"STATS__CABAC_BITS__SDC_INTRA_FLAG"
     ,"STATS__CABAC_BITS__SDC_DELTADC_FLAG"
